Core - Retrieve hub item
curl --request GET \
--url 'https://my.orq.ai/v2/hub/hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header "Authorization: Bearer $ORQ_API_KEY"
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.hub.get({
id: 'hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.hubItem.displayName);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.hub.get(
id="hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.hub_item.display_name)
{
"hub_item": {
"id": "<string>",
"entity_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"type": "<string>",
"is_active": true,
"is_private": true,
"is_provided_by_orq": true,
"engine": "<string>",
"key": "<string>",
"evaluator": {},
"prompt": {}
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Hub
Get a hub item
Retrieves a hub item available to the current workspace.
GET
/
v2
/
hub
/
{id}
Core - Retrieve hub item
curl --request GET \
--url 'https://my.orq.ai/v2/hub/hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \
--header "Authorization: Bearer $ORQ_API_KEY"
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.hub.get({
id: 'hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V',
});
console.log(result.hubItem.displayName);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.hub.get(
id="hub_01HZXW2K7Y8Q9M0N1P2R3S4T5V",
)
print(result.hub_item.display_name)
{
"hub_item": {
"id": "<string>",
"entity_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"type": "<string>",
"is_active": true,
"is_private": true,
"is_provided_by_orq": true,
"engine": "<string>",
"key": "<string>",
"evaluator": {},
"prompt": {}
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Was this page helpful?